=== debian/changelog ===
ros-melodic-epos2-motor-controller (1.0.0-4stretch) stretch; urgency=high

  * First release,c ontributors: Jochen Sprickerhof, galenya, mmorta

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 22 Apr 2019 22:00:00 -0000
