=== debian/control ===
Source: ros-melodic-epos2-motor-controller
Section: misc
Priority: extra
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), cmake, libftdi-dev, libftdipp1-dev
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-epos2-motor-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libftdi-dev, libftdipp1-dev
Description: EPOS2 motor controller driver
